Subject: Re: [PATCH 7/7] make "git fetch" update all fetch repositories

From: Andreas Ericsson <[email-masked]>
Date: Tue, 29 Apr 2008 10:48:54 +0200

Paolo Bonzini wrote:
> 
>>> Man, that's what release notes are for.  You are expected to read those.
>>
>> So you actually read the release-notes for every application you have
>> installed?
> 
> Not for every one, but I do for some applications.  Right now only git 
> and autoconf come to mind.  Especially searching for the magic words 
> "backwards incompatible" -- the more "power user" you are of an 
> application, the more you should read the release notes.  And in the 
> case of git I don't consider myself a power user but I learnt quite a 
> few tricks from the release notes.
> 
>> Remind me to never employ you. I doubt you'd ever get any
>> work done.
> 
> Well, the same should apply to reading mailing lists...
> 
>> Failing that, would you get slightly annoyed, or perhaps even quite
>> vexed if you find out that insert-program-used-to-do-some-work-with-here
>> did omething stupid that made you lose some of your work?
> 
> Sorry, how does the patch make you lose some of your work (as opposed to 
> some of your time, which is possible as is the case for every backwards 
> incompatible change)?
> 

Because I will lose some of the refs and then have to dig them up in the
reflog.

> 1) what about the reflog?
> 

I'm not comfortable with the reflog. I appreciate its usefulness, but I'm
thoroughly unhappy when I'm forced to use it.

> 2) the patch does not touch refs/heads/* unless you are tweaking your 
> configuration (and quite heavily so).  IMHO that's using enough rope 
> that you really ought to know about the reflog and... look for backwards 
> incompatible changes in the release notes!
> 

No, but it does touch refs/remotes/*/heads

> 3) your complaint was that it gave errors.  Alex did talk about losing 
> his work, but questions 1 and 2 would apply to him too.
> 
> 4) one man's stupidity is another man's... [fill in]  In particular, did 
> you understand the rationale for this change?  Do you have any 
> alternative ideas?
> 

Yes, I understand the rationale, and I do have an alternative idea, which
is to make it configurable. Now that I think about it, it's probably useful
to have it togglable via command-line switch as well. Something along the
lines of "git fetch --all-remotes", perhaps. I'm not against the idea as
such. I'm against making it the default.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231